# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name libffi

Name:           ghc-%{pkg_name}
Version:        0.1
Release:        6%{?dist}
Summary:        A binding to libffi

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
#BuildRequires:  libffi-devel%{?_isa}
BuildRequires:  pkgconfig(libffi)
# End cabal-rpm deps

%description
A binding to libffi, allowing C functions of types only known at runtime to be
called from Haskell.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}
# Begin cabal-rpm deps:
#Requires:       libffi-devel%{?_isa}
Requires:       pkgconfig(libffi)
# End cabal-rpm deps

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files
%doc TODO examples


%changelog
* Tue Jan 27 2015 Jens Petersen <petersen@fedoraproject.org> - 0.1-6
- cblrpm refresh

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul  2 2013 Jens Petersen <petersen@redhat.com> - 0.1-2
- add missing _isa in devel requires base pkg (#980123)

* Mon Jul  1 2013 Jens Petersen <petersen@redhat.com> - 0.1-1
- pkgconfig(libffi) should be sufficient for libffi

* Mon Jul  1 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.1-0
- spec file generated by cabal-rpm-0.8.1
